<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db2.PageFieldMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db2.PageField">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="web_id" property="webId" />
        <result column="cn_name" property="cnName" />
        <result column="en_name" property="enName" />
        <result column="class_name" property="className" />
        <result column="function_path" property="functionPath" />
        <result column="type" property="type" />
        <result column="status" property="status" />
        <result column="function" property="function" />
        <result column="is_select" property="isSelect" />
        <result column="param" property="param" />
        <result column="field_type" property="fieldType" />
        <result column="nav_select" property="navSelect" />
        <result column="order_by" property="orderBy" />
        <result column="is_table_show" property="isTableShow" />
        <result column="require_state" property="requireState" />
        <result column="width" property="width" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_time, modify_id, modify_time, soft_delete, web_id, cn_name, en_name, class_name, function_path, type, status, function, is_select, param, field_type, nav_select, order_by, is_table_show, require_state, width
    </sql>

</mapper>
